NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.BlockFeatureBuilder Class Reference

Represents a block feature builder. More...

Inheritance diagram for NXOpen.Features.BlockFeatureBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { OriginAndEdgeLengths, TwoPointsAndHeight, DiagonalPoints }
 Represents the block types More...
 

Public Member Functions

unsafe void GetOrientation (out NXOpen.Vector3d xAxis, out NXOpen.Vector3d yAxis)
 Gets the orientation (x and y axes) of the block. More...
 
unsafe void SetBooleanOperationAndTarget (NXOpen.Features.Feature.BooleanType booleanOperation, NXOpen.Body targetBody)
 Set the boolean operation for creating the block and the boolean operation target body More...
 
unsafe void SetHeight (string height)
 The expression representing the block height. More...
 
unsafe void SetLength (string length)
 The expression representing the block length. More...
 
unsafe void SetOrientation (NXOpen.Vector3d xAxis, NXOpen.Vector3d yAxis)
 Sets the orientation for the block More...
 
unsafe void SetOriginAndLengths (NXOpen.Point3d originPoint, string lengthExpression, string widthExpression, string heightExpression)
 Create a block by setting the origin and the block length, width, and height. More...
 
unsafe void SetTwoDiagonalPoints (NXOpen.Point3d originPoint, NXOpen.Point3d cornerPoint)
 Create a block by setting two diagonal points, one at the block origin and one at the opposite corner point. More...
 
unsafe void SetTwoPointsAndHeight (NXOpen.Point3d originPoint, NXOpen.Point3d cornerPoint, string heightExpression)
 Create a block by setting the block height and two diagonal points in the WCS x-y plane. More...
 
unsafe void SetWidth (string width)
 The expression representing the block width. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.BooleanOperation 
BooleanOption [get]
 Returns the boolean option More...
 
unsafe
NXOpen.Features.Feature.BooleanType 
BooleanType [get, set]
 Returns or sets the boolean operation for the block More...
 
unsafe NXOpen.Expression Height [get]
 Returns the expression representing the block height. More...
 
unsafe NXOpen.Expression Length [get]
 Returns the expression representing the block length. More...
 
unsafe NXOpen.Point3d Origin [get, set]
 Returns or sets the point coordinates representing the block origin. More...
 
unsafe NXOpen.Point OriginPoint [get, set]
 Returns or sets the block origin point More...
 
unsafe bool ParentAssociativity [get, set]
 Returns or sets the option to keep associativity of the Origin and Origin Offset Points More...
 
unsafe NXOpen.Point PointFromOrigin [get, set]
 Returns or sets the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height. More...
 
unsafe NXOpen.Body Target [get, set]
 Returns or sets the target body for the boolean operation (if any) for the block More...
 
unsafe
NXOpen.Features.BlockFeatureBuilder.Types 
Type [get, set]
 Returns or sets the type represented by NXOpen.Features.BlockFeatureBuilder.Types More...
 
unsafe NXOpen.Expression Width [get]
 Returns the expression representing the block width. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a block feature builder.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateBlockFeatureBuilder

Created in NX3.0.0

Member Enumeration Documentation

Represents the block types

Enumerator
OriginAndEdgeLengths 

Represents the block created by providing Origin and Edge Lengths

TwoPointsAndHeight 

Represents the block created by providing Two Points and Height

DiagonalPoints 

Represents the block created by providing Diagonal Points

Member Function Documentation

unsafe void NXOpen.Features.BlockFeatureBuilder.GetOrientation ( out NXOpen.Vector3d  xAxis,
out NXOpen.Vector3d  yAxis 
)
inline

Gets the orientation (x and y axes) of the block.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
xAxis
yAxis
unsafe void NXOpen.Features.BlockFeatureBuilder.SetBooleanOperationAndTarget ( NXOpen.Features.Feature.BooleanType  booleanOperation,
NXOpen.Body  targetBody 
)
inline

Set the boolean operation for creating the block and the boolean operation target body

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
booleanOperationType of boolean operation.
targetBodyTarget body for boolean operation. Set to a null reference (Nothing in Visual Basic) for a boolean create operation.
unsafe void NXOpen.Features.BlockFeatureBuilder.SetHeight ( string  height)
inline

The expression representing the block height.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
height
unsafe void NXOpen.Features.BlockFeatureBuilder.SetLength ( string  length)
inline

The expression representing the block length.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
length
unsafe void NXOpen.Features.BlockFeatureBuilder.SetOrientation ( NXOpen.Vector3d  xAxis,
NXOpen.Vector3d  yAxis 
)
inline

Sets the orientation for the block

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
xAxis
yAxis
unsafe void NXOpen.Features.BlockFeatureBuilder.SetOriginAndLengths ( NXOpen.Point3d  originPoint,
string  lengthExpression,
string  widthExpression,
string  heightExpression 
)
inline

Create a block by setting the origin and the block length, width, and height.

The origin of the block is specified by the input origin point in absolute coordinates. The orientation of the block is along the x, y, and z axes of the WCS.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
lengthExpressionBlock length in the WCS x direction
widthExpressionBlock width in the WCS y direction
heightExpressionBlock height in the WCS z direction
unsafe void NXOpen.Features.BlockFeatureBuilder.SetTwoDiagonalPoints ( NXOpen.Point3d  originPoint,
NXOpen.Point3d  cornerPoint 
)
inline

Create a block by setting two diagonal points, one at the block origin and one at the opposite corner point.

The orientation of the block is along the x, y, and z axes of the WCS.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
cornerPointBlock corner point, diagonal from the block origin point
unsafe void NXOpen.Features.BlockFeatureBuilder.SetTwoPointsAndHeight ( NXOpen.Point3d  originPoint,
NXOpen.Point3d  cornerPoint,
string  heightExpression 
)
inline

Create a block by setting the block height and two diagonal points in the WCS x-y plane.

The orientation of the block is along the x, y, and z axes of the WCS.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointBlock origin point
cornerPointBlock 2d corner point, diagonal in WCS x-y plane from the block origin point.
heightExpressionBlock height in the WCS z direction
unsafe void NXOpen.Features.BlockFeatureBuilder.SetWidth ( string  width)
inline

The expression representing the block width.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
width

Property Documentation

unsafe NXOpen.GeometricUtilities.BooleanOperation NXOpen.Features.BlockFeatureBuilder.BooleanOption
get

Returns the boolean option

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.Feature.BooleanType NXOpen.Features.BlockFeatureBuilder.BooleanType
getset

Returns or sets the boolean operation for the block

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.Features.BlockFeatureBuilder.Height
get

Returns the expression representing the block height.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.Features.BlockFeatureBuilder.Length
get

Returns the expression representing the block length.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point3d NXOpen.Features.BlockFeatureBuilder.Origin
getset

Returns or sets the point coordinates representing the block origin.

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.Features.BlockFeatureBuilder.OriginPoint
getset

Returns or sets the block origin point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.BlockFeatureBuilder.ParentAssociativity
getset

Returns or sets the option to keep associativity of the Origin and Origin Offset Points

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.Features.BlockFeatureBuilder.PointFromOrigin
getset

Returns or sets the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height.

the point which defines values along the x, y and z axes of the WCS from origin point, when type is diagonal points.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Body NXOpen.Features.BlockFeatureBuilder.Target
getset

Returns or sets the target body for the boolean operation (if any) for the block

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.BlockFeatureBuilder.Types NXOpen.Features.BlockFeatureBuilder.Type
getset

Returns or sets the type represented by NXOpen.Features.BlockFeatureBuilder.Types

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Features.BlockFeatureBuilder.Width
get

Returns the expression representing the block width.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.